import * as express from "express"
import AdminRoute from "./admin";
import UserRoute from "./user";
import InternalRoute from "./internal";
import Login from "./user/login";
import { AuthGetUser } from "./client/user";

const ApiRouter: express.IRouter<void> = express.Router();
ApiRouter.use("/admin", AdminRoute);
ApiRouter.use("/user", UserRoute);
ApiRouter.use("/internal", InternalRoute);

ApiRouter.use("/user", AuthGetUser);

// Legacy reasons (deprecated)
ApiRouter.post("/login", Login);

export default ApiRouter;